[FFmpeg-devel] [PATCH] configure: Treat warnings as errors in check_yasm()

Michael Niedermayer michaelni at gmx.at
Sat Sep 1 23:45:46 CEST 2012

On Sat, Sep 01, 2012 at 05:08:12PM -0300, jamal wrote:
> On 01/09/12 5:00 PM, Reimar Döffinger wrote:
> > On Sat, Sep 01, 2012 at 01:36:10PM -0300, jamal wrote:
> >> yasm generates a warning instead of an error when "CPU amdnop" is not supported, so the check always succeeds.
> > 
> > The check isn't meant to check for that case, the check is for NASM
> > which will fail fatally if it encounters it.
> > That mean it's a bad idea to change, but there's no real need either.
> > 
> I know, but HAVE_CPUNOP as true when the available yasm version doesn't support amdnop doesn't make sense.
> Check http://fate.ffmpeg.org/log.cgi?time=20120901143315&log=compile&slot=x86_64-archlinux-gcc-oldyasm to see the amount of warnings it generates.
> With -Werror the configure check will behave the same with nasm (Since it was already treating it as an error), but will disable HAVE_CPUNOP with old versions of yasm, thus getting rid of the warning spam.

sounds convincing, patch applied


Michael     GnuPG fingerprint: 9FF2128B147EF6730BADF133611EC787040B0FAB

In fact, the RIAA has been known to suggest that students drop out
of college or go to community college in order to be able to afford
settlements. -- The RIAA
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 198 bytes
Desc: Digital signature
URL: <http://ffmpeg.org/pipermail/ffmpeg-devel/attachments/20120901/eab3b1d2/attachment.asc>

More information about the ffmpeg-devel mailing list